%define aurox_ver 9.3
%define rel 1

%define vendor aurox

######################################################################
Summary: GUI for ACPI control
Name: ltpconf
Version: 0.4
Release: %{aurox_ver}.aur.%{rel}
Copyright: GPL
Group: Applications/System
URL: http://ltpconf.sourceforge.net
Source: http://cesnet.dl.sourceforge.net/sourceforge/ltpconf/%{name}.tar.bz2
Source1: ltpconf.desktop
Source2: user_acpid.init
Source3: setltp.pam
Source4: setltp.pamd

Patch: ltpconf-0.4-qt31.patch
BuildRequires: qt-devel >= 3.1
BuildRequires: gettext
BuildRoot: %{_tmppath}/%{name}-%{version}-root

######################################################################
%description
Laptop-Configuration-Tool, written in C++, uses QT, platform Linux,
providing a GUI for accessing ACPI-events (such as Hotkeys), LCD-Brightness,
Powerprofiles, project depends on various linux-kerneldrivers for specific notebook vendors.

######################################################################
%prep
%setup -n %{name}-%{version}
%patch -p1 -b .qt31
for file in `ls ltpconf/*.ui`; do
   sed -e 's/<UI version="3.2"/<UI version="3.1"/' $file > $file.tmp
   mv -f $file.tmp $file
done
######################################################################
%build
qmake
make
######################################################################
%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}/
install -m 755 bin/%{name} $RPM_BUILD_ROOT%{_bindir}/%{name}
mkdir -p $RPM_BUILD_ROOT%{_sbindir}/
install -m 755 bin/setltp $RPM_BUILD_ROOT%{_sbindir}/setltp
install -m 755 bin/user_acpid $RPM_BUILD_ROOT%{_sbindir}/useracpid
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications/
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/applications/%{vendor}-%{name}.desktop
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/
install -m 755 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/useracpid

# set link to setltp for ordinary users:
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/security/console.apps/
install -c -m 644 %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/security/console.apps/setltp
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/pam.d/
install -c -m 644 %{SOURCE4} $RPM_BUILD_ROOT%{_sysconfdir}/pam.d/setltp
ln -s consolehelper $RPM_BUILD_ROOT%{_bindir}/setltp

######################################################################
%clean
rm -rf $RPM_BUILD_ROOT

######################################################################
%post
/sbin/chkconfig --add useracpid

%preun
if [ $1 = 0 ]; then
	/sbin/service useracpid stop > /dev/null 2>&1
	/sbin/chkconfig --del useracpid
fi

%files
%defattr(-,root,root)
%doc COPYING README
%doc samples

# tools
%{_bindir}/%{name}
%{_sbindir}/setltp
%{_sbindir}/useracpid
%{_datadir}/applications/%{vendor}-%{name}.desktop
# run-as-root link:
%{_bindir}/setltp
%config(noreplace) %{_sysconfdir}/pam.d/setltp
%config(noreplace) %{_sysconfdir}/security/console.apps/setltp
# init service:
%{_sysconfdir}/rc.d/init.d/useracpid
#####################################################################
%changelog
* Thu Jan 22 2004 Aurox Team <aurox@aurox.org> 0:0.4-9.3.aur.1
- add init file for useracpid service
- create console links for running setltp as root and pam configuration
- patch to build with Qt 3.1
- release 0.4
- add build requirements
- fix install
- Initial build for Aurox 9.2
- Initial build for Aurox 9.2

* Tue Nov 11 2003 Jaroslav Gorny <jgorny@aurox.org>
- Spec created
